Page MenuHomePhabricator

P1. Fix problems with importing translatewiki.net Support page
Closed, ResolvedPublic5 Estimate Story Points

Description

Fix importer script problems exposed by importing the TranslateWiki.Net support page.


Already implemented in general (file tasks about specific issues if found, and not already present):

  • Preserve content
  • Preserve all subscriptions
  • Preserve all thread summaries
  • Preserve history of threads and summaries
  • Preserve LQT logs for antivandalism purposes (history is preserved, other logs will remain in the logging table, but if logs are specifically an issue, we should file another task to investigate how accessible the old LQT logs would be with LQT not installed).

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterRecord topic imports to Special:Log

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2015, 8:22 PM
Mattflaschen-WMF renamed this task from Figure out problem with importing TranslateWiki Support page to [5] Fix problems with importing TranslateWiki Support page.Jan 28 2015, 8:22 PM
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF edited a custom field.
Nikerabbit renamed this task from [5] Fix problems with importing TranslateWiki Support page to [5] Fix problems with importing translatewiki.net Support page.Jan 30 2015, 3:08 AM
Nemo_bis renamed this task from [5] Fix problems with importing translatewiki.net Support page to [5] Fix problems with importing translatewiki.net Support page and other LQT threads.Jan 30 2015, 12:20 PM
Nemo_bis updated the task description. (Show Details)
DannyH renamed this task from [5] Fix problems with importing translatewiki.net Support page and other LQT threads to [5] P1. Fix problems with importing translatewiki.net Support page and other LQT threads.Jan 30 2015, 6:37 PM

All seemed similar on translatewiki's end. This is what they were getting:

2015-01-28 01:17:29 translatewiki.net translatewiki_net-bw_:
[0d09c70a] /w/api.php?action=query&list=threads&thprop=id%7Csubject%7Cpage%7Cparent%7Cancestor%7Ccreated%7Cmodified%7Cauthor%7Csummaryid%7Ctype%7Crootid%7Creplies&format=json&limit=500&thid=1195
 MWException from line 2170 of
/srv/mediawiki/tags/2015-01-23_18:23:22/includes/db/Database.php:
DatabaseBase::makeList: empty input for field thread_parent
#0 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/db/Database.php(1743):
DatabaseBase->makeList(Array, 1)
#1 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/db/Database.php(1691):
DatabaseBase->selectSQLText('thread', Array, Array,
'ApiQueryLQTThre...', Array, Array)
#2 /srv/mediawiki/tags/2015-01-23_18:23:22/extensions/LiquidThreads/api/ApiQueryLQTThreads.php(183):
DatabaseBase->select('thread', Array, Array, 'ApiQueryLQTThre...')
#3 /srv/mediawiki/tags/2015-01-23_18:23:22/extensions/LiquidThreads/api/ApiQueryLQTThreads.php(164):
ApiQueryLQTThreads->addSubItems('thread', 'thread_id',
'thread_parent', 'replies', Object(Closure), 'reply')
#4 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiQuery.php(297):
ApiQueryLQTThreads->execute()
#5 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiMain.php(1024):
ApiQuery->execute()
#6 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiMain.php(393):
ApiMain->executeAction()
#7 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiMain.php(364):
ApiMain->executeActionWithErrorHandling()
#8 /srv/mediawiki/tags/2015-01-23_18:23:22/api.php(84): ApiMain->execute()
#9 {main}
2015-01-28 01:19:22 translatewiki.net translatewiki_net-bw_:
[5386f7db] /w/api.php?action=query&list=threads&thprop=id%7Csubject%7Cpage%7Cparent%7Cancestor%7Ccreated%7Cmodified%7Cauthor%7Csummaryid%7Ctype%7Crootid%7Creplies&format=json&limit=500&thid=2035
 MWException from line 2170 of
/srv/mediawiki/tags/2015-01-23_18:23:22/includes/db/Database.php:
DatabaseBase::makeList: empty input for field thread_parent
#0 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/db/Database.php(1743):
DatabaseBase->makeList(Array, 1)
#1 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/db/Database.php(1691):
DatabaseBase->selectSQLText('thread', Array, Array,
'ApiQueryLQTThre...', Array, Array)
#2 /srv/mediawiki/tags/2015-01-23_18:23:22/extensions/LiquidThreads/api/ApiQueryLQTThreads.php(183):
DatabaseBase->select('thread', Array, Array, 'ApiQueryLQTThre...')
#3 /srv/mediawiki/tags/2015-01-23_18:23:22/extensions/LiquidThreads/api/ApiQueryLQTThreads.php(164):
ApiQueryLQTThreads->addSubItems('thread', 'thread_id',
'thread_parent', 'replies', Object(Closure), 'reply')
#4 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiQuery.php(297):
ApiQueryLQTThreads->execute()
#5 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiMain.php(1024):
ApiQuery->execute()
#6 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiMain.php(393):
ApiMain->executeAction()
#7 /srv/mediawiki/tags/2015-01-23_18:23:22/includes/api/ApiMain.php(364):
ApiMain->executeActionWithErrorHandling()
#8 /srv/mediawiki/tags/2015-01-23_18:23:22/api.php(84): ApiMain->execute()
#9 {main}
DannyH renamed this task from [5] P1. Fix problems with importing translatewiki.net Support page and other LQT threads to P1. Fix problems with importing translatewiki.net Support page and other LQT threads.Feb 3 2015, 6:52 PM
gerritbot added a subscriber: gerritbot.

Change 189909 had a related patch set uploaded (by EBernhardson):
Record topic imports to Special:Log

https://gerrit.wikimedia.org/r/189909

Patch-For-Review

We're not going to expand the scope of this task to all the things in the new description. It is specifically about fixing problems related to importing the support page (some of which apply to other pages). However, other things, like "Set up a development wiki", should be a different task.

Mattflaschen-WMF renamed this task from P1. Fix problems with importing translatewiki.net Support page and other LQT threads to P1. Fix problems with importing translatewiki.net Support page.Feb 11 2015, 11:10 PM
Mattflaschen-WMF updated the task description. (Show Details)
EBernhardson triaged this task as Medium priority.Feb 17 2015, 6:47 PM

Change 189909 merged by jenkins-bot:
Record topic imports to Special:Log

https://gerrit.wikimedia.org/r/189909

DannyH closed this task as Resolved.Feb 24 2015, 6:24 PM
DannyH added a subscriber: DannyH.